%define libname_orig lib%{name}
%define libname %mklibname %{name} 0
%define develname %mklibname -d %{name}

%define name    amarok2
%define oname   amarok
%define version 2.0.0
%define rev     763708
%define rel 	3
%define release %mkrel 1.svn%rev.%rel

#Add MySQL support
%define build_mysql 0
%{?_with_mysql: %global build_mysql 1}

#Add PostgreSQL support
%define build_postgresql 0
%{?_with_postgresql: %global build_postgresql 1}

%define unstable 0
%{?_with_unstable: %global unstable 1}

%if %unstable
%define dont_strip 1
%endif

Summary:        A powerful media player for Kde4
Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          1
License:        GPL
Url:            http://amarok.kde.org/
Group:          Sound
Source0:        %{oname}-2.0.0.%rev.tar.bz2
Patch0:         amarok-2.0-fix-initial-preference.patch
Patch1:         amarok-2.0-fix-default-config.patch
Patch2:         amarok-2.0-fix-config.patch
Patch3:         amarok-2.0-add-multimedia-shortcut.patch
#(nl): Disable for the moment as it had been reported that this patch is broken.
Patch4:         amarok-1.4.0-use-mandriva-directory.patch
Patch6:         amarok-add-radios.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%if %build_mysql
BuildRequires:  mysql-devel
%endif
%if %build_postgresql
BuildRequires:  postgresql-devel
%endif
BuildRequires:  libxine-devel
Buildrequires:  ruby-devel
BuildRequires:  taglib-devel
BuildRequires:  libxine-devel
#(nl) Re-enable later
#BuildRequires:  libgstreamer-plugins-base-devel
BuildRequires:  cmake >= 2.4.5
BuildRequires:  kdelibs4-devel
BuildRequires:  libnjb-devel
BuildRequires:  libifp-devel
BuildRequires:  libmtp-devel
BuildRequires:  glib2-devel
BuildRequires:  libgstreamer0.10-devel

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: %name-engine
Requires: %name-scripts

Conflicts: %{libname}-devel < 1:2.0.0-1.svn743954.3

%description
Feature Overview 
 
* Music Collection:
You have a huge music library and want to locate tracks quickly? Let amaroK's
powerful Collection take care of that! It's a database powered music store, 
which keeps track of your complete music library, allowing you to find any 
title in a matter of seconds. 
 
* Intuitive User Interface:
You will be amazed to see how easy amaroK is to use! Simply drag-and-drop files
into the playlist. No hassle with complicated  buttons or tangled menus. 
Listening to music has never been easier! 
 
* Streaming Radio:
Web streams take radio to the next level: Listen to thousands of great radio
stations on the internet, for free! amaroK provides excellent streaming
support, with advanced features, such as displaying titles of the currently
playing songs. 
 
* Context Browser:
This tool provides useful information on the music you are currently listening
to, and can make listening suggestions, based on your personal music taste. An
innovate and unique feature. 
 
* Visualizations:
amaroK is compatible with XMMS visualization plugins. Allows you to use the
great number of stunning visualizations available on the net. 3d visualizations
with OpenGL are a great way to enhance your music experience. 

%post
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_desktop_database}
%clean_icon_cache hicolor
%files 
%defattr(-,root,root)
%{_kde_bindir}/amarok
%{_kde_bindir}/amarokcollectionscanner

%dir %{_kde_appsdir}/amarok
%{_kde_appsdir}/amarok/icons/hicolor/*/actions/*
%{_kde_appsdir}/amarok/images/*
%{_kde_datadir}/applications/kde4/amarok.desktop
%{_kde_iconsdir}/hicolor/*/apps/amarok.png
%{_kde_datadir}/config/amarokrc
%{_kde_datadir}/kde4/services/ServiceMenus/amarok_append.desktop
%{_kde_appsdir}/profiles/amarok.profile.xml
%{_kde_datadir}/config.kcfg/amarok.kcfg
%{_kde_datadir}/kde4/services/amarok_collection-sqlcollection.desktop
%{_kde_datadir}/kde4/servicetypes/amarok_plugin.desktop

%{_kde_appsdir}/amarok/data/Cool-Streams.xml
%{_kde_appsdir}/amarok/data/ball.png
%{_kde_appsdir}/amarok/data/dot.png
%{_kde_appsdir}/amarok/data/equalizer_presets.xml
%{_kde_appsdir}/amarok/data/grid.png
%{_kde_appsdir}/amarok/data/magnatune_logo.png
%{_kde_appsdir}/amarok/data/wirl1.png
%{_kde_appsdir}/amarok/data/wirl2.png
%{_kde_appsdir}/desktoptheme/amarok-default.desktop
%{_kde_appsdir}/desktoptheme/default/widgets/*.svg
%{_kde_libdir}/kde4/libamarok_collection-sqlcollection.so
%{_kde_libdir}/kde4/libamarok_collection-daapcollection.so
%{_kde_libdir}/kde4/amarok_context_applet_currenttrack.so
%{_kde_libdir}/kde4/amarok_context_applet_lastfmevents.so
%{_kde_libdir}/kde4/amarok_context_applet_lyrics.so
%{_kde_libdir}/kde4/amarok_context_applet_serviceinfo.so
%{_kde_libdir}/kde4/amarok_context_applet_wikipedia.so
%{_kde_libdir}/kde4/amarok_data_engine_current.so
%{_kde_libdir}/kde4/amarok_data_engine_lastfm.so
%{_kde_libdir}/kde4/amarok_data_engine_lyrics.so
%{_kde_libdir}/kde4/amarok_data_engine_service.so
%{_kde_libdir}/kde4/amarok_data_engine_wikipedia.so
%{_kde_libdir}/kde4/amarok_containment_context.so
%{_kde_libdir}/kde4/libamarok_generic-mediadevice.so
%{_kde_libdir}/kde4/amarok_service_ampache.so
%{_kde_libdir}/kde4/amarok_service_jamendo.so
%{_kde_libdir}/kde4/amarok_service_magnatunestore.so
%{_kde_libdir}/kde4/amarok_service_mp3tunes.so
%{_kde_libdir}/kde4/amarok_service_shoutcast.so
%{_kde_libdir}/kde4/amarok_service_lastfm.so
%{_kde_libdir}/kde4/kcm_amarok_service_ampache.so
%{_kde_libdir}/kde4/kcm_amarok_service_lastfm.so
%{_kde_libdir}/kde4/kcm_amarok_service_magnatunestore.so
%{_kde_libdir}/kde4/kcm_amarok_service_mp3tunes.so
%{_kde_datadir}/kde4/services/amarok_collection-daapcollection.desktop
%{_kde_datadir}/kde4/services/amarok-context-applet-currenttrack.desktop
%{_kde_datadir}/kde4/services/amarok-context-applet-lastfmevents.desktop
%{_kde_datadir}/kde4/services/amarok-context-applet-lyrics.desktop
%{_kde_datadir}/kde4/services/amarok-context-applet-serviceinfo.desktop
%{_kde_datadir}/kde4/services/amarok-context-applet-wikipedia.desktop
%{_kde_datadir}/kde4/services/amarok-data-engine-current.desktop
%{_kde_datadir}/kde4/services/amarok-data-engine-lastfm.desktop
%{_kde_datadir}/kde4/services/amarok-data-engine-lyrics.desktop
%{_kde_datadir}/kde4/services/amarok-data-engine-service.desktop
%{_kde_datadir}/kde4/services/amarok-data-engine-wikipedia.desktop
%{_kde_datadir}/kde4/servicetypes/amarok_context_applet.desktop
%{_kde_datadir}/kde4/servicetypes/amarok_data_engine.desktop
%{_kde_datadir}/kde4/services/amarok-containment-context.desktop
%{_kde_datadir}/kde4/services/amarok_generic-mediadevice.desktop
%{_kde_datadir}/kde4/services/amarok_service_ampache.desktop
%{_kde_datadir}/kde4/services/amarok_service_jamendo.desktop
%{_kde_datadir}/kde4/services/amarok_service_magnatunestore.desktop
%{_kde_datadir}/kde4/services/amarok_service_mp3tunes.desktop
%{_kde_datadir}/kde4/services/amarok_service_shoutcast.desktop
%{_kde_datadir}/kde4/services/amarok_service_ampache_config.desktop
%{_kde_datadir}/kde4/services/amarok_service_lastfm.desktop
%{_kde_datadir}/kde4/services/amarok_service_lastfm_config.desktop
%{_kde_datadir}/kde4/services/amarok_service_magnatunestore_config.desktop
%{_kde_datadir}/kde4/services/amarok_service_mp3tunes_config.desktop
%{_datadir}/dbus-1/interfaces/*
%{_kde_libdir}/strigi/strigita_audible.so
%{_kde_libdir}/strigi/strigita_mp4.so
%exclude %{_kde_appsdir}/amarok/scripts/

#--------------------------------------------------------------------

%package scripts
Summary:        Scripts for amarok
Group:          Graphical desktop/KDE
Requires:       %name = %epoch:%version-%release
#(nl) TODO:     Add back this require ASAP ( when kdebindings4 will be available )
#Requires:       kjsembed
Requires:       ruby
Requires:       python
Requires:	%{libname}-scripts = %epoch:%version-%release


%description scripts
This package includes python scripts for amarok.

%files scripts
%defattr(-,root,root)
%dir %{_kde_appsdir}/amarok/scripts/
%{_kde_appsdir}/amarok/scripts/*

#--------------------------------------------------------------------

%package -n %{libname}-scripts
Summary:        Library scripts for amarok
Group:          Graphical desktop/KDE
Requires:       %name = %epoch:%version-%release
Requires:       ruby

%description -n %{libname}-scripts
This package includes library scripts for amarok.

%files -n %{libname}-scripts
%defattr(-,root,root)

#--------------------------------------------------------------------
%post -n %{libname}-scripts -p /sbin/ldconfig
%postun -n %{libname}-scripts -p /sbin/ldconfig


%package -n %{libname}-devel-scripts
Summary:        Library scripts for amarok
Group:          Graphical desktop/KDE
Requires:       %{libname}-scripts = %epoch:%{version}
Requires:       ruby-devel

%description -n %{libname}-devel-scripts
This package includes devel for scripts for amarok.

%files -n %{libname}-devel-scripts
%defattr(-,root,root)

#--------------------------------------------------------------------

%package engine-void
Summary:        Amarok void engine
Group:          Graphical desktop/KDE
Provides:       %name-engine
Requires:       %name = %epoch:%version-%release

%description engine-void
This package includes a void engine for amarok.

%files  engine-void
%defattr(-,root,root)
%{_kde_libdir}/kde4/libamarok_void-engine_plugin.so
%{_kde_datadir}/kde4/services/amarok_void-engine_plugin.desktop

#--------------------------------------------------------------------

%package engine-xine
Summary:        Amarok xine engine
Group:          Graphical desktop/KDE
Provides:       %name-engine
Requires:       xine-lib
Requires:       xine-plugins
Requires:       %name = %epoch:%version-%release

%description engine-xine
This package includes xine engine for amarok.

%files  engine-xine
%defattr(-,root,root)
%{_kde_libdir}/kde4/libamarok_xine-engine.so
%{_kde_datadir}/config.kcfg/xinecfg.kcfg
%{_kde_datadir}/kde4/services/amarok_xine-engine.desktop

#--------------------------------------------------------------------
%package engine-phonon
Summary:        Amarok Phonon engine
Group:          Graphical desktop/KDE
Provides:       %name-engine
Requires:       %name = %epoch:%version-%release

%description engine-phonon
This package includes xine engine for amarok.

%files  engine-phonon
%defattr(-,root,root)

%{_kde_datadir}/kde4/services/amarok_phonon-engine.desktop
%{_kde_libdir}/kde4/libamarok_phonon-engine.so

#------------------------------------------------

%define libamarok_taglib_major 1
%define libamarok_taglib %mklibname amarok_taglib %libamarok_taglib_major

%package -n %libamarok_taglib
Summary: Amarok 2 core library
Group: System/Libraries
Conflicts:   %{libname} < 2.0.0-1.svn710748.1
Obsoletes: %{libname}

%description -n %libamarok_taglib
Amarok 2 core library.

%post -n %libamarok_taglib -p /sbin/ldconfig
%postun -n %libamarok_taglib -p /sbin/ldconfig

%files -n %libamarok_taglib
%defattr(-,root,root)
%_kde_libdir/libamarok_taglib.so.%libamarok_taglib_major
%_kde_libdir/libamarok_taglib.so.%libamarok_taglib_major.0.0

#------------------------------------------------

%define libamaroklib_major 1
%define libamaroklib %mklibname amaroklib %libamaroklib_major

%package -n %libamaroklib
Summary: Amarok 2 core library
Group: System/Libraries
Conflicts:   %{libname} < 2.0.0-1.svn710748.1
Obsoletes: %{libname}

%description -n %libamaroklib
Amarok 2 core library.

%post -n %libamaroklib -p /sbin/ldconfig
%postun -n %libamaroklib -p /sbin/ldconfig

%files -n %libamaroklib
%defattr(-,root,root)
%_kde_libdir/libamaroklib.so.%libamaroklib_major
%_kde_libdir/libamaroklib.so.%libamaroklib_major.0.0

#------------------------------------------------

%define libamarokplasma_major 1
%define libamarokplasma %mklibname amarokplasma %libamarokplasma_major

%package -n %libamarokplasma
Summary: Amarok 2 core library
Group: System/Libraries
Conflicts:   %{libname} < 2.0.0-1.svn710748.1
Obsoletes: %{libname}

%description -n %libamarokplasma
Amarok 2 core library.

%post -n %libamarokplasma -p /sbin/ldconfig
%postun -n %libamarokplasma -p /sbin/ldconfig

%files -n %libamarokplasma
%defattr(-,root,root)
%_kde_libdir/libamarokplasma.so.%libamarokplasma_major
%_kde_libdir/libamarokplasma.so.%libamarokplasma_major.0.0


#------------------------------------------------
%define develname %mklibname -d %name

%package -n %{develname}
Summary:        Headers of %name for development
Group:          Development/C
Requires:       %libamarok_taglib = %epoch:%{version}-%{release}
Requires:	%libamaroklib = %epoch:%{version}-%{release}
Requires:	%libamarokplasma = %epoch:%{version}-%{release}
Provides:       %{name}-devel = %epoch:%{version}-%{release}
Provides:       %{libname_orig}-devel = %epoch:%{version}-%{release}
Obsoletes:	%mklibname -d amarok2 0

%description -n %{develname}
Headers of %{name} for development.

%files -n %{develname}
%defattr(-,root,root)
%{_kde_libdir}/libamaroklib.so
%{_kde_libdir}/libamarokplasma.so
%{_kde_libdir}/libamarok_taglib.so

#--------------------------------------------------------------------

%prep
%setup -q -n %oname-2.0.0
%patch0 -p0 -b .fix_amarok_initial_preference
%patch1 -p0 -b .fix_amarok_default_config_file
#%patch2 -p0 -b .fix_default_config
%patch3 -p0 -b .fix_add_multimedia_shortcut
#%patch4 -p0 -b .use_mandriva_music_directory
#%patch6 -p0 -b .add_some_radios

%build

%cmake_kde4 

%make

%install
rm -rf %buildroot
cd build
%{makeinstall_std}
cd -

#%find_lang %{name} --with-html

%clean
rm -rf %buildroot


%changelog
* Sun Jan 20 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-1.svn763708.3mdv2008.1
+ Revision: 155406
- Fix File list
- New snapshot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 02 2007 Funda Wang <fundawang@mandriva.org> 1:2.0.0-1.svn743954.3mdv2008.1
+ Revision: 114447
- fix upgrading by obsoletes old libname
- move strigi.so into main package
- adopt to new devel policy

* Sun Dec 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-1.svn743954.2mdv2008.1
+ Revision: 114411
- New snapshot

* Sat Dec 01 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1:2.0.0-1.svn738067.2mdv2008.1
+ Revision: 114310
- rebuild due to unresolved symbols

* Sat Nov 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-1.svn738067.1mdv2008.1
+ Revision: 109673
- New snapshot

* Sat Oct 27 2007 Funda Wang <fundawang@mandriva.org> 1:2.0.0-1.svn730005.1mdv2008.1
+ Revision: 102640
- New snapshot at svn730005

* Sat Oct 20 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-1.svn727155.5mdv2008.1
+ Revision: 100524
- Fix BuildRequires
- New svn snapshot

* Thu Sep 27 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1:2.0.0-1.svn711995.5mdv2008.0
+ Revision: 93401
- Rebuild against latest kde4 packages

* Thu Sep 13 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-1.svn711995.4mdv2008.0
+ Revision: 85160
- Kill Require on libamarok

* Thu Sep 13 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-1.svn711995.3mdv2008.0
+ Revision: 84933
- New snashot because of new kdelibs
- Add conflicts to make update easier
- Upload again as Library rpm have not been uploaded properly

* Wed Sep 12 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-1.svn710748.1mdv2008.0
+ Revision: 84781
- New snapshot
- New snapshot
- New svn snapshot
- Change spec according to new Kde layout

* Sat Jun 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-1.svn676332.1mdv2008.0
+ Revision: 40409
- Fix File list
- New svn snapshot
- Fix File List
- New svn snapshot (20070508)

* Mon Apr 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-0.svn20070430.1mdv2008.0
+ Revision: 19404
- Remove Patch100: Ruby check is now fixed upstream
- Fix file list
- Fix BuildRequires
- New svn snapshot

* Sun Apr 22 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-0.svn20070418.2mdv2008.0
+ Revision: 17032
- Fix Buildrequires
- Remove redundant buildRequire

* Sun Apr 22 2007 Laurent Montel <lmontel@mandriva.org> 1:2.0.0-0.svn20070418.1mdv2008.0
+ Revision: 16848
- Move file into good package
- Cleanup
  Fix for x86_64

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New svn snapshot

* Tue Apr 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.0-0.svn20070407.3mdv2008.0
+ Revision: 13528
- Add njb support
- Fix Build on x86_64
- Add BR
- Clean Spec
- Import amarok2

